.full-body
{
    padding-left: 20%;
    padding-right: 20%;
}

.heading
{
    margin-top: 25px;
    margin-bottom: 70px;
    text-align: center;
}

.heading a
{
    text-decoration: none;
    font-size: 16px;
    letter-spacing: 0.3em;
    font-weight: 600;
}

a:visited
{
    color: black;
}

.checkout-heading h1
{
    font-size: 1.2rem;
    font-weight: 500;
    text-align: center;
}

.checkout-heading div
{
    font-size: 12px;
    text-align: center;
}

.form-main
{
    display: grid;
    grid-template-columns: 50% 50%;
    grid-column-gap: 9%;
    justify-content: space-evenly;

}

.account-info h2, .account-info form h2, .payment-method h2
{
    font-size: 12px;
    margin-top: 25px;
}

.form-main-details, .payment-method-details
{
    width: 100%;
    border-bottom: 1px solid grey;
    border-top: 0px solid white;
    border-left: 0px solid white;
    border-right: 0px solid white;
    color: grey;
    margin-top:20px;
}

.form-main-details-divide
{
    display: grid;
    grid-template-columns: 50% 50%;
    grid-column-gap: 1%;
    /*margin-top: 20px;*/
    margin-bottom: 20px;

}

.form-main-details-divide-1
{
    border-bottom: 1px solid grey;
    border-top: 0px solid white;
    border-left: 0px solid white;
    border-right: 0px solid white;
    color: grey;
    margin-top: 20px;
}

.form-main-details-divide-2
{
    border-bottom: 1px solid grey;
    border-top: 0px solid white;
    border-left: 0px solid white;
    border-right: 0px solid white;
    color: grey;
    margin-top: 20px;
    /*margin-left: 20px;*/
}

.account-info form label, .payment-method form label
{
    font-size: 14px;
}

.country-drop-down
{
    border-bottom: 1px solid grey;
    border-top: 0px solid white;
    border-right: 0px solid white;
    border-left: 0px solid white;
    background: transparent;
    width: 100%;
    margin-top: 10px;
    outline: none;
}

.account-info form h2, .payment-method form h2
{
    font-size: 12px;
}

.expiry-drop-down-main
{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-column-gap: 2%;
    margin-bottom: 40px;
}
.expiry-drop-down-sub
{
    
    border-bottom: 1px solid grey;
    border-top: 0px solid white;
    border-right: 0px solid white;
    border-left: 0px solid white;
    background: transparent;
    width: 100%;
    margin-top: 20px;
    outline: none;
}

.order-summary
{
    display: grid;
    grid-template-columns: 90% 10%;
    font-size: 13px;
    margin-bottom: 25px;
}

.place-order-button
{
    background-color: white;
    color:black;
    border: 2px solid black;    
    padding: 8px 44px;
}

.form-main-details-Email, .form-main-details-Address
{
    width: 100%;
    border-bottom: 1px solid grey;
    border-top: 0px solid white;
    border-left: 0px solid white;
    border-right: 0px solid white;
    color: grey;
    margin-top:20px;
}


.payment-method
{
    font-size: 13px;
}
.payment-method-details-name
{
    width: 100%;
    border-bottom: 1px solid grey;
    border-top: 0px solid white;
    border-left: 0px solid white;
    border-right: 0px solid white;
    color: grey;
    margin-top:20px;
}

.payment-method-details-card-number
{
    /* margin-bottom: 20px; */
    width: 100%;
    border-bottom: 1px solid grey;
    border-top: 0px solid white;
    border-left: 0px solid white;
    border-right: 0px solid white;
    color: grey;
    margin-top:20px;
}

.expiry
{
    margin-top: 20px;
}
.order-summary-total
{
    margin-top: 30px;
}

.account-info
{
    font-size: 13px;
}

.place-order-button-out-1
{
    display: none;
    text-align: center;

    background-color: darkblue;
    color:white;

}

.place-order-button-out-1
{
    background: transparent;
}

.place-order-button-out-2 
{
    background: transparent;
}

.place-order-button-out-2
{
    position: sticky;
    bottom: 0;
}


.user-input-wrp {
    position: relative;
    margin-top: 20px;
	
}
.user-input-wrp .inputText{
	width: 100%;
	outline: none;
	border:none;
	border-bottom: 1px solid #777;
     /*box-shadow: none !important;*/
     color: black;
}
.user-input-wrp .inputText:focus{

  /*border-width: medium medium 2px;*/
 
  /* border-bottom: 2px solid black; */
}
.user-input-wrp .floating-label {
	position: absolute;
	pointer-events: none;
	top: 18px;
	left: 0px;
    transition: 0.2s ease all;
    color: grey;
}
.user-input-wrp input:focus ~ .floating-label,
.user-input-wrp input:not(:focus):valid ~ .floating-label{
	top: 0px;
    font-size: 12px;
    color: black;
	/*opacity: 1;*/
}

.border-ease
{
    transform: scaleX(0);
}

.user-input-wrp input:focus ~ .border-ease
{
    transform: scaleX(1);
    background: black;
    transition-duration: 0.2s;
    height: 2px;
}

.check
{
    display: none;
}

input:checked ~ div
{
    display: block;
}
@media(max-width:900px)
{
    .account-info
    {
        grid-column: 1/3;
    }
    .payment-method
    {
        grid-column: 1/3;
    }

    .place-order-button
    {
        display: none;
    }
    .place-order-button-out-2
    { 
        display: block;
        
        width: 100%;
        background-color: darkblue;
        color:white;
        text-align: center;
        padding:25px 0px;
        text-decoration: none;

    }

    .place-order-button-out-2:visited
    {
        color: white;
    }
    
}
